Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cybergarage.upnp
Class Icon

    java.lang.Object
      org.cybergarage.upnp.Icon

    public class Icon

extends Object

Field Summary
`static String` | `ELEM_NAME`

Constructor Summary
`Icon(Node node)`

Method Summary
`String` | `getDepth()`
`String` | `getHeight()`
`Node` | `getIconNode()`
`String` | `getMimeType()`
`String` | `getURL()`
`String` | `getWidth()`
`static boolean` | `isIconNode(Node node)`
`void` | `setDepth(String value)`
`void` | `setHeight(String value)`
`void` | `setMimeType(String value)`
`void` | `setURL(String value)`
`void` | `setWidth(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELEM_NAME

    public static final String ELEM_NAME

See Also:
  Constant Field Values

Constructor Detail

### Icon

    public Icon(Node node)

Method Detail

### getIconNode

    public Node getIconNode()

### isIconNode

    public static boolean isIconNode(Node node)

### setMimeType

    public void setMimeType(String value)

### getMimeType

    public String getMimeType()

### setWidth

    public void setWidth(String value)

### getWidth

    public String getWidth()

### setHeight

    public void setHeight(String value)

### getHeight

    public String getHeight()

### setDepth

    public void setDepth(String value)

### getDepth

    public String getDepth()

### setURL

    public void setURL(String value)

### getURL

    public String getURL()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD